<template>
    <section class="contenido">
        <base-card>
            <h3>{{nombre}}</h3>
            <h4> Edad: {{edad}}</h4>
            <h4>Sexo: {{sexo}}</h4>
            <h4>Especie: {{especie}}</h4>
            <h4>Pelaje: {{pelaje}}</h4>
            <p>{{descripcion}}</p>
            <div class="actions">
            <base-button link :to=adopcionLink>Adoptar</base-button>
            </div>
        </base-card>
    </section>
</template>
<script>
export default {
    props:['id'],
    data(){
        return{
            mascotaSelecta:null,
        };
    },
    computed:{
        adopcionLink(){
            return this.$route.path + '/adoptar';
        },
        nombre(){
            return this.mascotaSelecta.nombre;
        },
        edad(){
            return this.mascotaSelecta.edad;
        },
        sexo(){
            return this.mascotaSelecta.sexo;
        },
        especie(){
            return this.mascotaSelecta.especie;
        },
        pelaje(){
            return this.mascotaSelecta.pelaje;
        },
        descripcion(){
            return this.mascotaSelecta.descripcion;
        }
    },
    created(){
        this.mascotaSelecta=this.$store.getters['mascotas/mascotas'].find(mascota => mascota.id === this.id);
    }
}
</script>
<style scoped>
.contenido{
    margin-top: 8rem;
}
</style>